# Module `blingbling.popups`

Differents popups for Awesome widgets

## Functions

htop (mywidget, args) | Top popup.
netstat (mywidget, args) | Netstat popup.

## Functions

htop (mywidget, args)
  Top popup. It binds a colorized output of the top command to a widget, and the possibility to launch htop with a click on the widget. Example blingbling.popups.htop(mycairograph,{ title_color = "#rrggbbaa", user_color = "#rrggbbaa", root_color="#rrggbbaa", terminal = "urxvt"}) The terminal parameter is not mandatory, htop will be launch in xterm. Mandatory arguments:
  - title_color define the color of the title's columns.
  - user_color display the name of the current user with this color in the top output.
  - root_color display the root name with this color in the top output.

  ### Parameters:

  - mywidget the widget
  - args a table of arguments { title_color = "#rrggbbaa", user_color = "#rrggbbaa", root_color="#rrggbbaa", terminal = a terminal name})
netstat (mywidget, args)
  Netstat popup. It binds a colorized output of the netstat command to a widget. Example: blingbling.popups.netstat(net,{ title_color = "#rrggbbaa", established_color= "#rrggbbaa", listen_color="#rrggbbaa"}) Mandatory arguments:
  - widget (if blinbling widget add .widget ex: cpu.widget, if textbox or image box just put the widget name)
  - title_color define the color of the title's columns.
  - established_color display the state "ESTABLISHED" of a connexion with this color in the netstat output.
  - listen_color display the state "LISTEN" with this color in the netstat output.

  ### Parameters:

  - mywidget the widget
  - args a table { title_color = "#rrggbbaa", established_color= "#rrggbbaa", listen_color="#rrggbbaa"}

generated by LDoc 1.4.3 Last updated 2015-08-04 10:16:50